;**************************************************************************
;*
;* FILE  config.asm
;* Copyright (c) 2006, 2007, 2008 Daniel Kahlin <daniel@kahlin.net>
;* Written by Daniel Kahlin <daniel@kahlin.net>
;* $Id: config.asm,v 1.13 2008-02-17 16:18:55 tlr Exp $
;*
;* DESCRIPTION
;*   Configuration bytes.
;*
;******

;  (returned by CMD_IMPLEMENTATION in dtvtrans)
IMPLEMENTATION_STR eqm  "DTVBOOT 1.2"
	

ACTION_GO_MENU		equ	$ff
ACTION_GO_BASIC		equ	$fe
ACTION_NORMAL_LOAD	equ	$fd
ACTION_START_ALT_KERNAL	equ	$fc
ACTION_DTVTRANS		equ	$fb
	
HEADER_LEN	equ	e_id-s_id

s_id:	
;identity
	dc.b	"- DTVBOOT / TLR -"
;version
	dc.b	1,2
e_id:
; custom configuration.
; 
CONFIG_LOADDTVMENU	equ	%00000001
CONFIG_PAL		equ	%10000000
config_byte:
	IFNCONST HUMMER_NTSC
	dc.b	$ff
	ELSE ; HUMMER_NTSC
	dc.b	$ff & ~CONFIG_PAL
	ENDIF ; HUMMER_NTSC
cfg_default_action:
	dc.b	ACTION_GO_MENU
cfg_hard_video:
	IFNCONST HUMMER_NTSC
	dc.b	%00000011	; $d040
	dc.b	$24,$00,$00	; $d041/$d042/$d043
	dc.b	$00		; $d04e
	dc.b	%00000010	; $d04f
	ELSE ; HUMMER_NTSC
	dc.b	%00000000	; $d040
	dc.b	$1c,$00,$00	; $d041/$d042/$d043
	dc.b	$0a		; $d04e
	dc.b	%00000010	; $d04f
	ENDIF ; HUMMER_NTSC
cfg_dtvtrans_port:
	IFNCONST HUMMER_NTSC
	dc.b	$ff
	ELSE ; HUMMER_NTSC
	dc.b	$fd
	ENDIF ; HUMMER_NTSC
cfg_dtvboot_bank:
	dc.b	$06		; default: $06 ($018000-$01c000)
cfg_dtvmon_colors1:
	dc.b	9		; border
	dc.b	9		; bkgnd
	dc.b	8		; text
cfg_dtvmon_colors2:
	dc.b	7		; border
	dc.b	6		; bkgnd
	dc.b	1		; text

; eof
