;**************************************************************************
;*
;* FILE  sys.asm
;* Copyright (c) 2008 Daniel Kahlin <daniel@kahlin.net>
;* Written by Daniel Kahlin <daniel@kahlin.net>
;* $Id: sys.asm,v 1.6 2008-02-17 17:18:53 tlr Exp $
;*
;* DESCRIPTION
;*   starter + configuration store
;*
;******

; release date
YEAR	equ	$2008
MONTH	equ	$02
DAY	equ	$17

	IFNCONST ADDR_ONLY		
	processor 6502

	seg	code
	ELSE
	seg.u	addr_only
	ENDIF
	org	$0801
;**************************************************************************
;*
;* Basic line!
;*
;******
StartOfFile:
	dc.w	EndLine
	dc.w	0
	dc.b	$9e,"2069 /T.L.R/",0
;	        0 SYS2069 /T.L.R/
EndLine:
	dc.w	0
sys_addr:
	jmp	start
date:
	dc.b	>YEAR,<YEAR,MONTH,DAY

start_head:
start_conf	equ	start_head+HEADER_LEN
	include	"config.asm"
end_conf:
start_conf_mon	equ	$8011+HEADER_LEN
	
start:
	sei
; enable skip + burst
	dc.b	$32,$99
	lda	#%00000011
	dc.b	$32,$00
; disable badlines
	lda	#1
	sta	$d03f
	lda	#%00100000
	sta	$d03c
continue:
	IFNCONST ADDR_ONLY		
	echo	"continue",.
	incbin	"loader_cr.bin"

EndOfFile:
	echo	"length",StartOfFile,"-",EndOfFile,"(",[EndOfFile-StartOfFile+2+253]/254,"blocks)"
	ENDIF
; eof
